### Method

# Shumate VectorReaderIter read_feature

unstable since: 1.2

#### Declaration [src]

    void
    shumate_vector_reader_iter_read_feature (
      ShumateVectorReaderIter* self,
      int index
    )

#### Description [src]

Moves the iterator to the feature at the given index in the current layer.

You can get the number of features in the current layer with `shumate_vector_reader_iter_get_layer_feature_count()`.

Available since: 1.2

#### Parameters

`index`

  Type: `int`

  The index of the feature to read.